<?php
	
	use AutoInstall\Controllers\InstallerController;
	use Pecee\SimpleRouter\SimpleRouter as Router;

	Router::get('/', [InstallerController::class, 'index'])->name('auto-install.index');
	
	Router::group([
		'prefix' => '/steps'
	], function () {
		Router::post('/admin', [InstallerController::class, 'admin'])->name('auto-install.steps.admin');
		Router::post('/run', [InstallerController::class, 'run'])->name('auto-install.steps.run');
	});
	
	Router::group([
		'prefix' => '/data'
	], function () {
		Router::get('/languages', [InstallerController::class, 'languages'])->name('auto-install.data.languages');
	});
